Create Payment
curl --request POST \
--url https://api.usepooler.com/payments/initiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "<string>",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"reference": "<string>",
"transaction_type": "<string>",
"transaction_category": "<string>",
"transaction_tags": "<string>",
"transaction_notes": "<string>",
"channel": "<string>",
"sub_type": "<string>"
}
'import requests
url = "https://api.usepooler.com/payments/initiate"
payload = {
"amount": 123,
"currency": "<string>",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"reference": "<string>",
"transaction_type": "<string>",
"transaction_category": "<string>",
"transaction_tags": "<string>",
"transaction_notes": "<string>",
"channel": "<string>",
"sub_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
currency: '<string>',
recipient_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
reference: '<string>',
transaction_type: '<string>',
transaction_category: '<string>',
transaction_tags: '<string>',
transaction_notes: '<string>',
channel: '<string>',
sub_type: '<string>'
})
};
fetch('https://api.usepooler.com/payments/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"stan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"status": "pending",
"amount": "<string>",
"currency": "<string>",
"description": "<string>",
"type": "<string>",
"sub_type": "<string>",
"category": "<string>",
"transaction_date": "2023-11-07T05:31:56Z",
"tags": "<string>",
"is_reversed": true,
"is_completed": true,
"channel": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Payments
Create Payment
Initiate a new payment transaction. This endpoint creates a payment quote that must be confirmed using the complete endpoint.
POST
/
payments
/
initiate
Create Payment
Initiate a new payment transaction. This endpoint creates a payment quote that must be confirmed using the Confirm Payment endpoint.
Overview
This endpoint starts a payment transaction by creating a payment quote. The quote includes fees, exchange rates, and total amount to collect. After reviewing the quote, you must call the confirm endpoint to execute the payment.Payments require a two-step process: first initiate to get a quote, then complete to execute the payment. Quotes expire after 5 minutes.
Payment Flow
- Initiate Payment - Call this endpoint with payment details to get a quote
- Review Quote - Check the fees, exchange rates, and total amount
- Confirm Payment - Use the
quote_idandreferencefrom the response to complete the payment
Use the
Idempotency-Key header to prevent duplicate payments if you need to retry the request.Authorizations
Bearer token authentication. Include your API key in the Authorization header as: Bearer {your_api_key}
Body
application/json
Payment amount
Currency code (e.g., NGN, USD)
ID of the payment recipient
Payment description
Unique reference for the payment
Type of transaction (e.g., inter)
Transaction category (e.g., transfer)
Comma-separated tags for the transaction
Additional notes for the transaction
Payment channel (e.g., bank)
Transaction sub-type (e.g., transfer)
⌘I